package pl.wat.wcy.openmap.rmi.dted.support;

import java.io.Serializable;

import com.bbn.openmap.omGraphics.OMRaster;

/**
 * @author Mariusz Chmielewski
 * Cyebrnetics Faculty
 * Military University of Technology
 * mchmielewski@wat.edu.pl  
 *
 */

public class RemoteRasterImage implements Serializable {

	public int[] imgData = null;

	public float lat = 0.0f;

	public float lon = 0.0f;

	public int width = 0;

	public int height = 0;

	public RemoteRasterImage() {

	}

	public RemoteRasterImage(OMRaster source) {
		imgData = source.getPixels();
		lat = source.getLat();
		lon = source.getLon();
		width = source.getWidth();
		height = source.getHeight();
	}
	
	public OMRaster transform(){
		return new OMRaster (lat,lon,width,height,imgData);
	}

}
